#!/usr/bin/python3

from PyQt6.QtWidgets import QWidget, QFrame, QDockWidget, QGridLayout
from .track_control import TrackControl
from .lines import HLine


class MainContainer(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.layout = QGridLayout()
        self.setLayout(self.layout)

        self.layout.addWidget(HLine(self))

        self.track_control = TrackControl(self)
        self.layout.addWidget(self.track_control)

        self.layout.addWidget(HLine(self))

